# JSDoc: Class: EtapiToken

# Class: EtapiToken

## EtapiToken()

EtapiToken is an entity representing token used to authenticate against Trilium REST API from client applications. Used by: - Trilium Sender - ETAPI clients The format user is presented with is "<etapiTokenId>_<tokenHash>". This is also called "authToken" to distinguish it from tokenHash and token.

## Constructor

#### new EtapiToken()

Source:
  - becca/entities/etapi_token.js, line 16

### Members

#### etapiTokenId :string

##### Type:

- string

Source:
  - becca/entities/etapi_token.js, line 34

#### isDeleted :boolean

##### Type:

- boolean

Source:
  - becca/entities/etapi_token.js, line 44

#### name :string

##### Type:

- string

Source:
  - becca/entities/etapi_token.js, line 36

#### tokenHash :string

##### Type:

- string

Source:
  - becca/entities/etapi_token.js, line 38

#### utcDateCreated :string

##### Type:

- string

Source:
  - becca/entities/etapi_token.js, line 40

#### utcDateModified :string

##### Type:

- string

Source:
  - becca/entities/etapi_token.js, line 42